package com.emr.entity.tBoby;

import java.math.BigDecimal;
import java.util.Date;

public class TBaby {
    private String patientId;

    private Short fetationTimes;

    private Short childbirthTimes;

    private Date childbirthTime;

    private String childbirthMothed;

    private String sex;

    private BigDecimal head;

    private BigDecimal chest;

    private BigDecimal avoirdupois;

    private BigDecimal stature;

    private String diagType;

    private String diagCode;

    private String diagName;

    private String father;

    private String idCard;

    private String workAddr;

    private String homeAddr;

    private String breathing;

    private String rescueTimes;

    private String rescueSuccessTimes;

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId == null ? null : patientId.trim();
    }

    public Short getFetationTimes() {
        return fetationTimes;
    }

    public void setFetationTimes(Short fetationTimes) {
        this.fetationTimes = fetationTimes;
    }

    public Short getChildbirthTimes() {
        return childbirthTimes;
    }

    public void setChildbirthTimes(Short childbirthTimes) {
        this.childbirthTimes = childbirthTimes;
    }

    public Date getChildbirthTime() {
        return childbirthTime;
    }

    public void setChildbirthTime(Date childbirthTime) {
        this.childbirthTime = childbirthTime;
    }

    public String getChildbirthMothed() {
        return childbirthMothed;
    }

    public void setChildbirthMothed(String childbirthMothed) {
        this.childbirthMothed = childbirthMothed == null ? null : childbirthMothed.trim();
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex == null ? null : sex.trim();
    }

    public BigDecimal getHead() {
        return head;
    }

    public void setHead(BigDecimal head) {
        this.head = head;
    }

    public BigDecimal getChest() {
        return chest;
    }

    public void setChest(BigDecimal chest) {
        this.chest = chest;
    }

    public BigDecimal getAvoirdupois() {
        return avoirdupois;
    }

    public void setAvoirdupois(BigDecimal avoirdupois) {
        this.avoirdupois = avoirdupois;
    }

    public BigDecimal getStature() {
        return stature;
    }

    public void setStature(BigDecimal stature) {
        this.stature = stature;
    }

    public String getDiagType() {
        return diagType;
    }

    public void setDiagType(String diagType) {
        this.diagType = diagType == null ? null : diagType.trim();
    }

    public String getDiagCode() {
        return diagCode;
    }

    public void setDiagCode(String diagCode) {
        this.diagCode = diagCode == null ? null : diagCode.trim();
    }

    public String getDiagName() {
        return diagName;
    }

    public void setDiagName(String diagName) {
        this.diagName = diagName == null ? null : diagName.trim();
    }

    public String getFather() {
        return father;
    }

    public void setFather(String father) {
        this.father = father == null ? null : father.trim();
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard == null ? null : idCard.trim();
    }

    public String getWorkAddr() {
        return workAddr;
    }

    public void setWorkAddr(String workAddr) {
        this.workAddr = workAddr == null ? null : workAddr.trim();
    }

    public String getHomeAddr() {
        return homeAddr;
    }

    public void setHomeAddr(String homeAddr) {
        this.homeAddr = homeAddr == null ? null : homeAddr.trim();
    }

    public String getBreathing() {
        return breathing;
    }

    public void setBreathing(String breathing) {
        this.breathing = breathing == null ? null : breathing.trim();
    }

    public String getRescueTimes() {
        return rescueTimes;
    }

    public void setRescueTimes(String rescueTimes) {
        this.rescueTimes = rescueTimes == null ? null : rescueTimes.trim();
    }

    public String getRescueSuccessTimes() {
        return rescueSuccessTimes;
    }

    public void setRescueSuccessTimes(String rescueSuccessTimes) {
        this.rescueSuccessTimes = rescueSuccessTimes == null ? null : rescueSuccessTimes.trim();
    }
}